# Interface TreeTableModel

All Superinterfaces:
  `TableModel`

All Known Implementing Classes:
  `AbstractTreeTableModel, DefaultTreeTableModel`

public interface TreeTableModel extends TableModel
This is a basic interface for TreeTableModel that extends TableModel. It's pretty minimal and isn't as full featured at other implementations.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getValueAt(Object node, int col)`
The method is similar to getValueAt(int,int).
`boolean`
`isCellEditable(Object node, int col)`
the method is similar to isCellEditable(int,int).
`void`
`setValueAt(Object val, Object node, int column)`
the method is similar to isCellEditable(int,int).

### Methods inherited from interface TableModel

`addTableModelListener, getColumnClass, getColumnCount, getColumnName, getRowCount, getValueAt, isCellEditable, removeTableModelListener, setValueAt`

## Method Details

### getValueAt

Object getValueAt(Object node, int col)
The method is similar to getValueAt(int,int). Instead of int, the row is an object.

Parameters:
  `node` - the node which value is to be fetched
  `col` - the column of the node
Returns:
  the value at the column

### isCellEditable

boolean isCellEditable(Object node, int col)
the method is similar to isCellEditable(int,int). Instead of int, the row is an object.

Parameters:
  `node` - the node which value is to be fetched
  `col` - the column of the node
Returns:
  `true` if cell is editable

### setValueAt

void setValueAt(Object val, Object node, int column)
the method is similar to isCellEditable(int,int). Instead of int, the row is an object.

Parameters:
  `val` - the value to be set
  `node` - the node which value is to be set
  `column` - the column of the node